import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:random/activities/ActivityDemoPage.dart';
import 'package:random/activities/ActivityGraphPage.dart';
import 'package:random/cubit/bottom_nav_cubit.dart';
import 'package:random/ui/widgets/custom_app_bar.dart';
import 'package:random/ui/widgets/bottom_nav_bar.dart';

class SkeletonScreen extends StatelessWidget {
  const SkeletonScreen({super.key});

  @override
  Widget build(BuildContext context) {
    const List<Widget> pageNavigation = <Widget>[
      ActivityDemoPage(),
      ActivityGraphPage(),
    ];

    return BlocProvider<BottomNavCubit>(
      create: (BuildContext context) => BottomNavCubit(),
      child: Scaffold(
        extendBodyBehindAppBar: true,
        appBar: const CustomAppBarGone(),
        body: BlocBuilder<BottomNavCubit, int>(
          builder: (BuildContext context, int state) {
            return AnimatedSwitcher(
                duration: const Duration(milliseconds: 300),
                child: pageNavigation.elementAt(state));
          },
        ),
        bottomNavigationBar: const BottomNavBar(),
        backgroundColor: Theme.of(context).colorScheme.background,
      ),
    );
  }
}
